#!/usr/bin/env node
import { getEnvData as E } from "./env-data.mjs";
import { SubcommandEnum as u } from "./types.mjs";
import { OutputModeEnum as l, handler as c } from "@done-coding/cli-template";
import i from "lodash.template";
import d from "chalk";
const k = async ({
  name: m,
  config: e,
  command: n
}) => {
  if (![u.ADD, u.REMOVE].includes(n))
    return console.log(d.red(`不支持组件${n}操作`)), process.exit(1);
  const o = E({
    ...e,
    name: m
  }), f = JSON.stringify(o);
  for (const { entry: p, index: a } of e.list) {
    if (p) {
      const t = p;
      t != null && t.input && (t.input = i(t.input)(o)), t != null && t.output && (t.output = i(t.output)(o));
      const r = {
        ...p,
        envData: f,
        mode: l.APPEND,
        rollback: n === u.REMOVE,
        dealMarkdown: !0
      };
      await c(r);
    }
    if (a) {
      const t = a;
      t != null && t.input && (t.input = i(t.input)(o)), t != null && t.output && (t.output = i(t.output)(o));
      const r = {
        ...a,
        envData: f,
        mode: l.OVERWRITE,
        rollback: n === u.REMOVE,
        dealMarkdown: !0
      };
      await c(r);
    }
  }
};
export {
  k as operateComponent
};
