#!/usr/bin/env node
import { SubcommandEnum as s } from "./types.mjs";
import { getConfig as i } from "./config.mjs";
import n from "chalk";
import p from "prompts";
import { operateComponent as c } from "./operate.mjs";
import { getComponentList as f } from "./list.mjs";
import { getComponentEnvData as l } from "./env-data.mjs";
import g from "node:fs";
import u from "node:path";
const K = async ({ name: m }) => {
  console.log(n.blue("移除组件"));
  const t = i(), r = await f(t);
  if (r.length === 0)
    return console.log(n.red("组件列表为空")), process.exit(1);
  let o;
  m ? o = m : o = (await p({
    type: "select",
    name: "name",
    message: "请选择要移除的组件",
    choices: r.map((e) => ({ title: e, value: e }))
  })).name;
  const { series: a } = t;
  for (let e of r)
    if (l({
      series: a,
      name: o
    }).nameKebab === e) {
      await c({
        name: o,
        config: t,
        command: s.REMOVE
      }), g.rmdirSync(u.resolve(t.componentDir, e));
      return;
    }
  return console.log(n.red(`组件${o}不存在`)), process.exit(1);
};
export {
  K as removeComponent
};
