#!/usr/bin/env node
import l from "yargs";
import { hideBin as p } from "yargs/helpers";
import { SubcommandEnum as o } from "./utils/types.mjs";
import { handler as c, subHandler as r } from "./handler.mjs";
import s from "chalk";
import a from "./injectInfo.json.mjs";
import m from "lodash.curry";
const t = a.cliConfig.moduleName, u = (e, n) => {
  console.log(e ? s.red(e) : s.red(n.message)), process.exit(1);
}, g = a.description, f = `Usage: $0 ${t} <command> [options]`, b = "Usage: $0 <command> [options]", i = (e) => e.command({
  command: `${o.ADD} <name>`,
  describe: "新增一个组件",
  builder: (n) => n.positional("name", {
    describe: "组件名称",
    type: "string"
  }),
  handler: m(r)(o.ADD)
}).command({
  command: `${o.REMOVE} [name]`,
  describe: "删除一个组件",
  builder: (n) => n.positional("name", {
    describe: "组件名称",
    type: "string"
  }),
  handler: m(r)(o.REMOVE)
}).command({
  command: o.LIST,
  describe: "展示组件列表",
  handler: m(r)(o.LIST)
}).demandCommand(1), d = (e, n = !1) => n ? i(e.strict().usage(f)) : i(
  e.strict().usage(b).help("help").version(a.version).alias("v", "version").alias("h", "help")
).fail(u).argv, h = (e) => d(e, !0), U = {
  command: t,
  describe: g,
  builder: h,
  handler: c
}, I = async () => {
  const e = l(p(process.argv)), n = await d(e);
  return c(n);
};
export {
  U as command,
  I as createCli
};
