#!/usr/bin/env node
import { SubcommandEnum as s } from "./types.mjs";
import { ensureNameLegal as i } from "./name.mjs";
import { getConfig as p } from "./config.mjs";
import n from "chalk";
import f from "prompts";
import { operateComponent as c } from "./operate.mjs";
import { getComponentList as l } from "./list.mjs";
import { getComponentEnvData as g } from "./env-data.mjs";
const E = async ({ name: t }) => {
  console.log(n.blue("添加组件"));
  let o;
  t ? o = t : o = (await f({
    type: "text",
    name: "name",
    message: "请输入组件名"
  })).name;
  const e = p();
  i(o, e);
  const { series: r } = e, a = await l(e);
  for (let m of a)
    if (g({
      series: r,
      name: o
    }).nameKebab === m)
      return console.log(n.red(`组件${m}已存在, 不能再次创建${o}组件`)), process.exit(1);
  return c({
    name: o,
    config: e,
    command: s.ADD
  });
};
export {
  E as addComponent
};
